import request from '@/utils/request'

// 查询结算价格，司机价格优惠调整列表
export function listBanlaceAdjust(query) {
  return request({
    url: '/station/stationBalanceChange/list',
    method: 'get',
    params: query
  })
}

// 查询结算价格，司机价格优惠调整列表
export function listAdjust(query) {
  return request({
    url: '/station/settlementPriceAdjust/list',
    method: 'get',
    params: query
  })
}

// 查询积分消费订单列表
export function updateInfo(data) {
  return request({
    url: '/station/settlementPrice',
     method: 'put',
     data: data
  })
}


// 查询积分消费订单列表
export function getLngList(query) {
  return request({
    url: '/station/settlementPrice/list',
    method: 'get',
    params: query
  })
}

// 查询积分消费订单详细
export function getLngSingle(id) {
  return request({
    url: '/station/settlementPrice/' + id,
    method: 'get'
  })
}

// 查询积分消费订单详细
export function balanceChange(data) {
  return request({
    url: '/station/stationBalanceChange/add',
    method: 'post',
    data: data
  })
}
export function updatePlan(data) {
    return request({
      url: '/market/plan',
      method: 'put',
      data: data
    })
  }

